Skip to main content
PATCH
/
v1
/
agents
/
{slug}
Update Agent
curl --request PATCH \
  --url https://api.agentpowers.ai/v1/agents/{slug} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "bump": "<string>",
  "version": "<string>",
  "title": "<string>",
  "description": "<string>",
  "long_description": "<string>",
  "category": "<string>",
  "price_cents": 1,
  "changelog": "<string>"
}
'
import requests

url = "https://api.agentpowers.ai/v1/agents/{slug}"

payload = {
"bump": "<string>",
"version": "<string>",
"title": "<string>",
"description": "<string>",
"long_description": "<string>",
"category": "<string>",
"price_cents": 1,
"changelog": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bump: '<string>',
version: '<string>',
title: '<string>',
description: '<string>',
long_description: '<string>',
category: '<string>',
price_cents: 1,
changelog: '<string>'
})
};

fetch('https://api.agentpowers.ai/v1/agents/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "slug": "<string>",
  "previous_version": "<string>",
  "new_version": "<string>",
  "version_id": "<string>",
  "status": "<string>",
  "message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.

Path Parameters

slug
string
required

Body

application/json
bump
string | null
Pattern: ^(patch|minor|major)$
version
string | null
title
string | null
Required string length: 3 - 100
description
string | null
Required string length: 10 - 1024
long_description
string | null
category
string | null
Required string length: 2 - 50
price_cents
integer | null
Required range: x >= 0
changelog
string | null

Response

Successful Response

slug
string
required
previous_version
string
required
new_version
string
required
version_id
string
required
status
string
required
message
string
required